Panda3D

Functions
cullTraverserData.cxx File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "cullTraverserData.h"`
`#include "cullTraverser.h"`
`#include "config_pgraph.h"`
`#include "pandaNode.h"`
`#include "colorAttrib.h"`
`#include "textureAttrib.h"`
`#include "renderModeAttrib.h"`
`#include "clipPlaneAttrib.h"`
`#include "boundingPlane.h"`
`#include "billboardEffect.h"`
`#include "compassEffect.h"`
`#include "occluderEffect.h"`
`#include "polylightEffect.h"`
`#include "renderState.h"`

Go to the source code of this file.

## Functions
| PT (NodePathComponent) CullTraverserData
| The private, recursive implementation of get_node_path(), this returns the NodePathComponent representing the NodePath. More...

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  drose

Date
  2002-03-06

Definition in file cullTraverserData.cxx.

## Function Documentation

## ◆ PT()

PT | ( | NodePathComponent |  | ) |

The private, recursive implementation of get_node_path(), this returns the NodePathComponent representing the NodePath.

The recursive implementation of get_generic_component, this simply sets the flag when the ambiguity is detected (so we can report the bottom node that started the ambiguous search).

Returns a NodePathComponent referencing this node as a path from the root.

Returns a NodePathComponent referencing the indicated node as a singleton.

Returns the NodePathComponent based on the indicated child of the given parent, or NULL if there is no such parent-child relationship.

The private implementation of is_in_view().

It is invalid to call this for a node that has parents, unless you are about to create a new instance (and immediately reconnect the NodePathComponent elsewhere).

If force is true, this will always return something, even if it needs to create a new top component; otherwise, if force is false, it will return NULL if there is not already a top component available.

Unless accept_ambiguity is true, it is only valid to call this if there is an unambiguous path from the root; otherwise, a warning will be issued and one path will be chosen arbitrarily.

Definition at line 115 of file cullTraverserData.cxx.